package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 通知公告对象 tb_notice
 * 
 * @author ruoyi
 * @date 2022-10-18
 */
public class TbNotice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 通知标题 */
    @Excel(name = "通知标题")
    private String noticeTitle;

    /** 通知类型（1系统通知 2个人通知） */
    @Excel(name = "通知类型", readConverterExp = "1=系统通知,2=个人通知")
    private Integer noticeType;

    private String noticeTypeDesc;

    /** 个人的id，通知类型为2时必填 */
    @Excel(name = "个人的id，通知类型为2时必填")
    private Long userId;

    /** 通知内容 */
    @Excel(name = "通知内容")
    private String noticeContent;

    /** 通知状态（1正常 2关闭） */
    @Excel(name = "通知状态", readConverterExp = "1=正常,2=关闭")
    private Integer status;

    private String statusDesc;

    private String creatorDesc;

    private String modifiedByDesc;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setNoticeTitle(String noticeTitle) 
    {
        this.noticeTitle = noticeTitle;
    }

    public String getNoticeTitle() 
    {
        return noticeTitle;
    }
    public void setNoticeType(Integer noticeType) 
    {
        this.noticeType = noticeType;
    }

    public Integer getNoticeType() 
    {
        return noticeType;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setNoticeContent(String noticeContent) 
    {
        this.noticeContent = noticeContent;
    }

    public String getNoticeContent() 
    {
        return noticeContent;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    public String getNoticeTypeDesc() {
        return noticeTypeDesc;
    }

    public void setNoticeTypeDesc(String noticeTypeDesc) {
        this.noticeTypeDesc = noticeTypeDesc;
    }

    public String getStatusDesc() {
        return statusDesc;
    }

    public void setStatusDesc(String statusDesc) {
        this.statusDesc = statusDesc;
    }

    public String getCreatorDesc() {
        return creatorDesc;
    }

    public void setCreatorDesc(String creatorDesc) {
        this.creatorDesc = creatorDesc;
    }

    public String getModifiedByDesc() {
        return modifiedByDesc;
    }

    public void setModifiedByDesc(String modifiedByDesc) {
        this.modifiedByDesc = modifiedByDesc;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("noticeTitle", getNoticeTitle())
            .append("noticeType", getNoticeType())
            .append("userId", getUserId())
            .append("noticeContent", getNoticeContent())
            .append("status", getStatus())
            .append("creator", getCreator())
            .append("createTime", getCreateTime())
            .append("modifiedBy", getModifiedBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
